Skip to main content
GET
/
utilization-target-periods
List utilization target periods
curl --request GET \
  --url https://www.ruddr.io/api/workspace/utilization-target-periods \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "7c3e1a94-d582-4b1e-8f63-29a0e5d71c84",
      "start": "2024-01-01",
      "end": "2024-06-30",
      "targetPercentage": 80,
      "isDefault": false,
      "createdAt": "2024-01-05T10:23:41.000Z"
    }
  ],
  "hasMore": false
}
A period defining a member’s billable utilization targets.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
string

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

memberId
string

A member ID (uuid) used to filter utilization target periods for a specific member.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.